Public Class Product
  Private prodName As String
  Private qty As String
  '------------
  Public Sub New(ByVal prodString As String)
    MyBase.New()
    Dim i As Integer
    i = prodString.IndexOf("--")
    If i > 0 Then
      prodName = prodString.Substring(0, i - 1).Trim()
      qty = prodString.Substring(i + 2)
    Else
      prodName = prodString
      qty = ""
    End If
  End Sub
  '------------
  Public Function getName() As String
    getName = prodName
  End Function
  '------------
  Public Function getQty() As String
    getQty = qty
  End Function

End Class
